Package org.apache.ignite.internal.management.meta

## Class MetaRemoveCommand

- java.lang.Object
- - org.apache.ignite.internal.management.meta.MetaRemoveCommand

All Implemented Interfaces:
  `Command<MetaRemoveCommandArg,​MetadataMarshalled>`, `ComputeCommand<MetaRemoveCommandArg,​MetadataMarshalled>`

    public class MetaRemoveCommand
    extends Object
    implements ComputeCommand<MetaRemoveCommandArg,​MetadataMarshalled>

### Field Summary

### Fields inherited from interface org.apache.ignite.internal.management.api.Command

`CMD_NAME_POSTFIX`

### Constructor Summary

Constructors
`MetaRemoveCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Class<MetaRemoveCommandArg>` `argClass()`
`String` `confirmationPrompt​(MetaRemoveCommandArg arg)`
`String` `description()` Command description.
`void` `printResult​(MetaRemoveCommandArg arg, MetadataMarshalled res, Consumer<String> printer)` Prints command result to the user.
`Class<MetadataRemoveTask>` `taskClass()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.management.api.Command

`deprecationMessage`

### Methods inherited from interface org.apache.ignite.internal.management.api.ComputeCommand

`handleException, nodes`

### Constructor Detail

#### MetaRemoveCommand

    public MetaRemoveCommand()

### Method Detail

#### description

    public String description()

Command description.

Specified by:
  `description` in interface `Command<MetaRemoveCommandArg,​MetadataMarshalled>`

#### argClass

    public Class<MetaRemoveCommandArg> argClass()

Specified by:
  `argClass` in interface `Command<MetaRemoveCommandArg,​MetadataMarshalled>`
Returns:
  Arguments class.

#### taskClass

    public Class<MetadataRemoveTask> taskClass()

Specified by:
  `taskClass` in interface `ComputeCommand<MetaRemoveCommandArg,​MetadataMarshalled>`
Returns:
  Task class.

#### printResult

    public void printResult​(MetaRemoveCommandArg arg,
                            MetadataMarshalled res,
                            Consumer<String> printer)

Prints command result to the user.

Specified by:
  `printResult` in interface `ComputeCommand<MetaRemoveCommandArg,​MetadataMarshalled>`
Parameters:
  `arg` - Argument.
  `res` - Result.
  `printer` - Implementation specific printer.

#### confirmationPrompt

    public String confirmationPrompt​(MetaRemoveCommandArg arg)

Specified by:
  `confirmationPrompt` in interface `Command<MetaRemoveCommandArg,​MetadataMarshalled>`
Parameters:
  `arg` - Command argument.
Returns:
  Message text to show user for. If `null` it means that confirmation is not needed.